'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function () {
  return {
    presets: [_babelPresetReact2.default, (0, _babelPresetEnv2.default)({}, {
      // replace 'babel-polyfill' with individual polyfills matching the target
      useBuiltIns: true,
      // let webpack handle ES modules
      modules: false,
      targets: {
        uglify: true,
        browsers: ['> 0.5%']
      }
    }), _babelPresetStage2.default],
    plugins: [_babelPluginTransformDecoratorsLegacy2.default, _babelPluginTransformFlowStripTypes2.default, _babelPluginLodash2.default, _babelPluginReactIntlAuto2.default],
    env: {
      // TODO add react-hmre in dev
      production: {
        plugins: [_babelPluginTransformReactRemovePropTypes2.default, _babelPluginTransformReactConstantElements2.default, _babelPluginTransformReactInlineElements2.default]
      }
    }
  };
};

var _babelPresetReact = require('babel-preset-react');

var _babelPresetReact2 = _interopRequireDefault(_babelPresetReact);

var _babelPresetEnv = require('babel-preset-env');

var _babelPresetEnv2 = _interopRequireDefault(_babelPresetEnv);

var _babelPresetStage = require('babel-preset-stage-0');

var _babelPresetStage2 = _interopRequireDefault(_babelPresetStage);

var _babelPluginTransformDecoratorsLegacy = require('babel-plugin-transform-decorators-legacy');

var _babelPluginTransformDecoratorsLegacy2 = _interopRequireDefault(_babelPluginTransformDecoratorsLegacy);

var _babelPluginTransformFlowStripTypes = require('babel-plugin-transform-flow-strip-types');

var _babelPluginTransformFlowStripTypes2 = _interopRequireDefault(_babelPluginTransformFlowStripTypes);

var _babelPluginLodash = require('babel-plugin-lodash');

var _babelPluginLodash2 = _interopRequireDefault(_babelPluginLodash);

var _babelPluginTransformReactRemovePropTypes = require('babel-plugin-transform-react-remove-prop-types');

var _babelPluginTransformReactRemovePropTypes2 = _interopRequireDefault(_babelPluginTransformReactRemovePropTypes);

var _babelPluginTransformReactConstantElements = require('babel-plugin-transform-react-constant-elements');

var _babelPluginTransformReactConstantElements2 = _interopRequireDefault(_babelPluginTransformReactConstantElements);

var _babelPluginTransformReactInlineElements = require('babel-plugin-transform-react-inline-elements');

var _babelPluginTransformReactInlineElements2 = _interopRequireDefault(_babelPluginTransformReactInlineElements);

var _babelPluginReactIntlAuto = require('babel-plugin-react-intl-auto');

var _babelPluginReactIntlAuto2 = _interopRequireDefault(_babelPluginReactIntlAuto);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }